#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 rvar
version:              0.3.0.1
visibility:           public
id:                   rvar-0.3.0.1-AKSRuhtgYK7EOeMWqtQBd
key:                  rvar-0.3.0.1-AKSRuhtgYK7EOeMWqtQBd
license:              LicenseRef-PublicDomain
maintainer:           Dominic Steinitz <dominic@steinitz.org>
author:               James Cook <mokus@deepbondi.net>
stability:            stable
homepage:             https://github.com/haskell-numerics/random-fu
synopsis:             Random Variables
description:
    Random number generation based on modeling random
    variables by an abstract type ('\''RVar'\'') which can be
    composed and manipulated monadically and sampled in
    either monadic or \"pure\" styles.

    The primary purpose of this library is to support
    defining and sampling a wide variety of high quality
    random variables.  Quality is prioritized over speed,
    but performance is an important goal too.

    In my testing, I have found it capable of speed
    comparable to other Haskell libraries, but still
    a fair bit slower than straight C implementations of
    the same algorithms.

category:             Math
abi:                  73a31610cc8615028120bb42d800fafe
exposed:              True
exposed-modules:      Data.RVar
hidden-modules:       Data.RVar.Prim
import-dirs:          /usr/lib/ghc-9.0.2/site-local/rvar-0.3.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/rvar-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-rvar
hs-libraries:         HSrvar-0.3.0.1-AKSRuhtgYK7EOeMWqtQBd
depends:
    MonadPrompt-1.0.0.5-8YK89c9akLh3vOIQNoeMCz base-4.15.1.0
    bytestring-0.10.12.1 mtl-2.2.2
    random-1.2.1.1-HiECQni2AdzGisFczLwCdX transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-rvar/html/rvar.haddock
haddock-html:         /usr/share/doc/haskell-rvar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

